Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 625002 - abrt does not send reports from behind a proxy server
abrt does not send reports from behind a proxy server
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Jiri Moskovcak
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-18 06:31 EDT by Durai
Modified: 2015-02-01 17:52 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-20 03:07:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Durai 2010-08-18 06:31:37 EDT
Description of problem:
Though the proxy has been configured in /etc/init.d/abrt, sending report is failing. Checked that http_proxy environment variable exported successfully. But abrt reporting that libcurl is not able to do http post.

Version-Release number of selected component (if applicable):
ABRT 1.1.13 (abrt.i686 1.1.13-1.fc13)

How reproducible:
reproducible all the time

Steps to Reproduce:
1. Send the report to Bugzilla through abrt gui
2.
3.
  
Actual results:
"Cannot login. Check Edit->Plugins->Bugzilla and /etc/abrt/plugins/Bugzilla.conf. Server said: libcurl failed to execute the HTTP POST transaction.  Failed connect to bugzilla.redhat.com:443; Operation now in progress"

Expected results:
successfull sending of report


Additional info:
Actually the suggested work around for proxy configuration, has been working well before the update of latest version of abrt.
Comment 1 Durai 2010-08-20 03:07:37 EDT
(In reply to comment #0)
> Description of problem:
> Though the proxy has been configured in /etc/init.d/abrt, sending report is
> failing. Checked that http_proxy environment variable exported successfully.
> But abrt reporting that libcurl is not able to do http post.
> 
> Version-Release number of selected component (if applicable):
> ABRT 1.1.13 (abrt.i686 1.1.13-1.fc13)
> 
> How reproducible:
> reproducible all the time
> 
> Steps to Reproduce:
> 1. Send the report to Bugzilla through abrt gui
> 2.
> 3.
> 
> Actual results:
> "Cannot login. Check Edit->Plugins->Bugzilla and
> /etc/abrt/plugins/Bugzilla.conf. Server said: libcurl failed to execute the
> HTTP POST transaction.  Failed connect to bugzilla.redhat.com:443; Operation
> now in progress"
> 
> Expected results:
> successfull sending of report
> 
> 
> Additional info:
> Actually the suggested work around for proxy configuration, has been working
> well before the update of latest version of abrt.

The proxy configuration works in abrt.i686 1.1.13-2.fc13 version. Thanks

Note You need to log in before you can comment on or make changes to this bug.